/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.DispatchLogDto;
import com.tofly.dispatch.dto.DispatchLogQuery;
import com.tofly.dispatch.entity.DispatchLog;

/**
 * 调度日志记录
 *
 * @author admin
 * @date Thu Nov 10 00:00:00 CST 2022
 */
public interface DispatchLogService extends IService<DispatchLog> {

    boolean saveDispatchLog(DispatchLogDto dispatchLogDto, boolean isAdd);
     boolean deleteByIds(String ids);

    Page<DispatchLog> getPageData(Page page, DispatchLogQuery dispatchLogQuery);

    DispatchLog getById(Long id);
}
